# PSF-LoginServer - master - net.psforever.services.ServiceManager
PSF - LoginServer - master - net.psforever.services.ServiceManager
Keywords: PSF LoginServer master net.psforever.services.ServiceManager

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package account
  Definition Classes
    services
-  package avatar
  Definition Classes
    services
-  package chat
  Definition Classes
    services
-  package galaxy
  Definition Classes
    services
-  package hart
  Definition Classes
    services
-  package local
  Definition Classes
    services
-  package properties
  Definition Classes
    services
-  package support
  Definition Classes
    services
-  package teamwork
  Definition Classes
    services
-  package vehicle
  Definition Classes
    services
- GenericEventBus
- GenericEventBusMsg
- InterstellarClusterService
- RemoverActor
- Service
- ServiceManager

c

net.psforever.services

# ServiceManager 

###
Companion object ServiceManager

#### class ServiceManager extends Actor

Source
  ServiceManager.scala

Linear Supertypes
Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ServiceManager
2. Actor
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ServiceManager()

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor
2.  case class RequestEntry (request: String, responder: ActorRef) extends Product with Serializable
   Attributes
     protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def aroundPostRestart(reason: Throwable): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
5.  def aroundPostStop(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
6.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
7.  def aroundPreStart(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
8.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  implicit val context: ActorContext
    Definition Classes
      Actor
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  val lookups: LongMap[RequestEntry]
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  var nextLookupId: Long
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
24.  def postStop(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
25.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
26.  def preStart(): Unit
    Definition Classes
      ServiceManager → Actor
27.  def receive: PartialFunction[Any, Unit]
    Definition Classes
      ServiceManager → Actor
28.  val retainedRequests: HashMap[String, Set[ActorRef]]
29.  implicit final val self: ActorRef
    Definition Classes
      Actor
30.  final def sender(): ActorRef
    Definition Classes
      Actor
31.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
32.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
33.  def toString(): String
    Definition Classes
      AnyRef → Any
34.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped